Package twisted :: Package runner :: Module procmon :: Class LoggingProtocol

[show private | hide private]
[frames | no frames]

## Class LoggingProtocol

    BaseProtocol --+
                   |
     ProcessProtocol --+
                       |
                      LoggingProtocol

Method Summary
| ``connectionMade`(self)` Called when a connection is made.
| ``errConnectionLost`(self)` This will be called when stderr is closed. (inherited from `ProcessProtocol`)
| ``errReceived`(self, data)` Some data was received from stdout.
| ``errReceived`(self, data)` Some data was received from stderr. (inherited from `ProcessProtocol`)
| ``inConnectionLost`(self)` Called when stdin is shut down. (inherited from `ProcessProtocol`)
| ``outConnectionLost`(self)` Called when stdout is shut down. (inherited from `ProcessProtocol`)
| ``outReceived`(self, data)` Some data was received from stdout.
| ``processEnded`(self, reason)` This will be called when the subprocess is finished.

Class Variable Summary
`int` | `empty`
`None` | `name`
`None` | `service`

Method Details

### connectionMade(self)

Called when a connection is made.

This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here.

  Overrides:
    `twisted.internet.protocol.BaseProtocol.connectionMade` (inherited documentation)

### errReceived(self, data)

Some data was received from stdout.

  Overrides:
    `twisted.internet.protocol.ProcessProtocol.outReceived` (inherited documentation)

### outReceived(self, data)

Some data was received from stdout.

  Overrides:
    `twisted.internet.protocol.ProcessProtocol.outReceived` (inherited documentation)

### processEnded(self, reason)

This will be called when the subprocess is finished.

  Parameters:
    `reason`
    (type=`twisted.python.failure.Failure`)
  Overrides:
    `twisted.internet.protocol.ProcessProtocol.processEnded` (inherited documentation)

Class Variable Details

### empty

  Type:
    `int`
  Value:

        1

### name

  Type:
    `None`
  Value:

        None

### service

  Type:
    `None`
  Value:

        None

Generated by Epydoc 1.1 on Sat Feb 15 21:18:07 2003 | http://epydoc.sf.net